Bug 22847 - SMI SM910 -> core dumps
SMI SM910 -> core dumps
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-26 12:11 EST by Gerald Teschl
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-12 12:43:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Core file (1.19 MB, application/octet-stream)
2001-02-08 08:19 EST, Gerald Teschl
no flags Details

  None (edit)
Description Gerald Teschl 2000-12-26 12:11:55 EST
Trying to configure a SMI Lynx card causes Xconfigurator to core dump
(signal 11).

00:02.0 VGA compatible controller: Silicon Motion, Inc. SM910 (rev b5)

The card is detected correctly, but when I choose the OK button
Xconfigurator
will crash.
Comment 1 Preston Brown 2001-01-29 15:42:14 EST
is there any way you can give me more information or better yet, a traceback
when Xconfigurator is compiled by hand and then run inside gdb? I don't know if
the X server is crashing, or if there is bad code in Xconfigurator that is
barfing.
Comment 2 Gerald Teschl 2001-02-08 08:18:08 EST
Its not the Xserver which crashes. It core dumps the instant I press the OK
button.
I will attach the core file. The card/server works fine if I configure it by
hand.
Comment 3 Gerald Teschl 2001-02-08 08:19:15 EST
Created attachment 9419 [details]
Core file
Comment 4 Preston Brown 2001-02-08 12:53:19 EST
your core file is useless to me; there is no debugging symbols in the version of
Xconfigurator you were using, so all I get in a traceback of the stack is:

Core was generated by `Xconfigurator'.
Program terminated with signal 11, Segmentation fault.
#0  0x400e4b9d in ?? ()
(gdb) bt
#0  0x400e4b9d in ?? ()
#1  0x0804e861 in ?? ()
#2  0x080535e0 in ?? ()
#3  0x4007cf51 in ?? ()
(gdb) quit

not too useful.

Which button did you press OK for and then it crashed?  What was the exact text
on the screen?

Better yet, compile a Xconfigurator binary with debugging enabled and run it
with that card, then do a

gdb /usr/bin/X11/Xconfigurator core

and then a "bt" at the gdb prompt, and cut and paste the full backtrace.

We don't have this hardware in house or I would check it out for you.
Comment 5 Gerald Teschl 2001-02-08 14:02:45 EST
Sorry but I didn't know how to compile a program with debugging info. But I had
a quick
look at the gcc man page and I guess "-ggdb" is the right thing.

It will crash right after I have pressed OK on the screen where it shows me what
card it
has detected (SMI Lynx) and what driver it suggests (SVGA). It will clear the
screen and
then I get a blue screen with white letters "Segmentation fault   core dumpt"
plus a
promt in the middle of the screen.

-------------------------------------------------------------
[root@soliton /root]# gdb /usr/bin/X11/Xconfigurator core
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...

warning: exec file is newer than core file.
Core was generated by `Xconfigurator'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libglib-1.2.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libglib-1.2.so.0
Reading symbols from /usr/lib/libnewt.so.0.50...(no debugging symbols found)...
done.
Loaded symbols for /usr/lib/libnewt.so.0.50
Reading symbols from /usr/lib/libpopt.so.0...(no debugging symbols found)...
done.
Loaded symbols for /usr/lib/libpopt.so.0
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /usr/lib/libslang.so.1...done.
Loaded symbols for /usr/lib/libslang.so.1
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
#0  0x400e4b9d in __strdup (s=0xffffffff <Address 0xffffffff out of bounds>)
    at ../sysdeps/i386/i486/bits/string.h:530
530     ../sysdeps/i386/i486/bits/string.h: No such file or directory.
---Type <return> to continue, or q <return> to quit---
        in ../sysdeps/i386/i486/bits/string.h
(gdb) bt
#0  0x400e4b9d in __strdup (s=0xffffffff <Address 0xffffffff out of bounds>)
    at ../sysdeps/i386/i486/bits/string.h:530
#1  0x0804e861 in strcpy () at ../sysdeps/generic/strcpy.c:31
#2  0x080535e0 in strcpy () at ../sysdeps/generic/strcpy.c:31
#3  0x4007cf51 in __libc_start_main (main=0x8052c80 <strcpy+33216>, argc=1,
    ubp_av=0xbffffabc, init=0x804a128 <_init>, fini=0x806394c <_fini>,
    rtld_fini=0x4000e344 <_dl_fini>, stack_end=0xbffffaac)
    at ../sysdeps/generic/libc-start.c:129
(gdb)
Comment 6 Preston Brown 2001-02-08 18:31:04 EST
very strange.  I am sending you a new Xconfigurator -- please try it tonight and
update the status of this bug.
Comment 7 David Lawrence 2001-02-08 18:44:23 EST
Test comment. Please disregard.
Comment 8 Gerald Teschl 2001-02-09 06:59:00 EST
Xconfigurator-4.6.8-1 does no longer crash, but the XF86Config file written is
wrong.
Here are the changes necessary to make it work:

--- XF86Config.orig     Fri Feb  9 12:27:15 2001
+++ XF86Config  Fri Feb  9 12:28:19 2001
@@ -360,12 +360,12 @@
 
 Section "Screen"
     Driver      "svga"
-    Device      "Generic VGA"
-    #Device      "Silicon Motion, Inc.|SM910"
+    #Device      "Generic VGA"
+    Device      "Silicon Motion, Inc.|SM910"
     Monitor     "Generic Laptop Display Panel 1024x768"
     Subsection "Display"
-        Depth       8
-        #Modes       (null)
+        Depth       24
+        Modes       "1024x768"
         ViewPort    0 0
     EndSubsection
 EndSection

BTW: It should read "SMI910" and not "ISM910".
Comment 9 Preston Brown 2001-02-12 12:43:12 EST
should work with next version of Xconfigurator, per our discussions.

Note You need to log in before you can comment on or make changes to this bug.